html, body {
    min-height: 100%;
}

body {
    font-family: "Cambay", sans-serif;
    background: #EEEEEE;
    color: #2A2A2A;
}

body > .wrapper, footer > .wrapper {
    width: 80%;
    max-width: 1920px;
    height: 100%;
    margin: 0 auto;
}

header {
    display: flex;
    align-items: center;
    width: 100%;
    height: 120px;
}

header .header-title {
    display: flex;
    align-items: center;
    min-width: 0;
    flex: 3;
}

header .header-title h1 {
    font-size: 36px;
    color: var(--primary-color);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

header .header-title .logo {
    display: inline-block;
    vertical-align: top;
}

header .header-title .logo img {
    max-width: 55px;
    max-height: 55px;
}

header nav {
    flex-grow: 1;
}

header nav ul {
    text-align: center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

header nav ul li {
    display: inline-block;
}

header nav ul li a {
    text-decoration: none;
    color: #2A2A2A;
    font-size: 24px;
    padding: 0 15px;
}

header a.connect {
    color: var(--primary-color);
    padding: 5px 25px;
    text-decoration: none;
    margin-right: 1rem;
    font-size: 24px;
}

.home {
    display: flex;
    align-items: center;
    gap: 5rem;
    min-height: min(calc(100dvh - 120px), calc(1080px - 120px));
    margin-bottom: 3rem;
}

.home .info {
    flex: 1;
    min-width: 300px;
}

.home .info h1 {
    font-size: 64px;
    color: var(--primary-color);
    margin: 0;
}

.home .info .text {
    font-size: 24px;
    margin: 30px 0;
    width: 100%;
}

.home .info .text p {
    margin: 0;
}

.home .info .buttons {
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 2rem;
}

.home .info .buttons .button {
    display: flex;
    font-size: 32px;
    text-decoration: none;
    border: solid 1px var(--primary-color);
    padding: 9px 30px;
}

.home .info .buttons .button.outline {
    background: transparent;
    border: none;
    color: var(--primary-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}

.home .info .buttons .button:first-child {
    justify-content: center;
    background: var(--primary-color);
    color: var(--text-contrast-primary-color);
    padding-bottom: 15px;
    padding-top: 22px;
    font-weight: bold;
    border-radius: 25px;
}

.home .left-home {
    min-width: 58%;
}

.home .left-home h1 {
    font-size: 128px;
    margin: 0 -66px 0 0;
    z-index: 9;
}

.home .left-home > div {
    padding: 35px;
    display: inline-block;
    background: linear-gradient(115deg, #000000, #191919);
}

.home .left-home > div > div {
    padding: 35px;
    background: linear-gradient(320deg, #000000 10%, #191919 65%);
}

.home .left-home img {
    width: 100%;
    height: auto;
    display: block;
}

.about {
    background: var(--primary-color);
    color: var(--text-contrast-primary-color);
    width: 100vw;
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
    justify-items: center;
    padding: 80px 0;
    margin-bottom: 6rem;
}

.about > div {
    width: 80%;
    max-width: 1920px;
    display: flex;
    align-items: center;
}

.about > div > div:first-child {
    margin-right: 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.about h1 {
    font-size: 64px;
    width: max-content;
    margin: 30px 0;
}

.about img {
    height: 67px;
}

.about .text {
    font-size: 24px;
}

.services {
    display: flex;
    width: 100%;
    align-items: center;
    margin-bottom: 5rem;
}

.services .list {
    flex-grow: 1;
    display: flex;
    width: 0;
}

.services .list ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
}

.services .list ul li {
    width: 430px;
    min-height: 400px;
    background: var(--primary-color);
    border-radius: 41px;
    padding: 20px;
    position: relative;
    box-sizing: border-box;
    align-content: center;
}

.services .list ul li div {
    background: var(--text-contrast-primary-color);
    position: absolute;
    right: 0;
    top: 0;
    width: 85px;
    height: 85px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom-left-radius: 41px;
    border-top-right-radius: 41px;
}

.services .list ul li i {
    font-size: 35px;
    color: var(--primary-color);
}

.services .list ul li h3 {
    color: var(--text-contrast-primary-color);
    margin: 0;
    font-size: 34px;
}

.services .list ul li p {
    font-size: 24px;
    color: var(--text-contrast-primary-color);
}

.customers {
    display: inline-block;
    width: 100%;
    padding-top: 50px;
    margin-bottom: 5rem;
}

.customers h1 {
    font-size: 96px;
    text-align: center;
    margin: 0;
    color: var(--primary-color);
}

.customers h3 {
    font-size: 24px;
    color: #717171;
    text-align: center;
    margin: 0;
    font-weight: normal;
}

.customers ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 60px 40px;
    width: 100%;
    list-style: none;
    padding: 0;
    margin: 60px 0 0 0;
}

.customers ul li {
    width: 470px;
    box-sizing: border-box;
}

.customers ul li .logo {
    height: 205px;
    align-content: center;
    text-align: center;
}

.customers ul li .depoimento {
    min-height: 150px;
    margin-top: 1rem;
}

.customers ul li .logo img {
    width: 80%;
    max-width: max-content;
    max-height: stretch;
}

.customers ul li h4 {
    font-weight: normal;
    font-size: 34px;
    margin: 10px 0 0 0;
    text-align: center;
}

.customers ul li p {
    text-align: center;
    margin: 10px 0;
    color: #717171;
    font-size: 24px;
}

.extra {
    display: inline-block;
    width: 100%;
    margin-bottom: 6rem;
}

.extra h1 {
    font-size: 96px;
    margin: 0;
    text-align: center;
    color: var(--primary-color);
}

.extra h3 {
    font-size: 24px;
    color: #717171;
    text-align: center;
    margin: 0;
    font-weight: normal;
}

.extra p {
    font-size: 22px;
}

.contact {
    display: flex;
    width: 100%;
    margin-bottom: 4rem;
}

.contact > div {
    background: var(--primary-color);
    padding: 3rem;
    border-radius: 41px;
}

.contact .contact-us {
    width: 100%;
}

.contact > div > div {
    margin-bottom: 2rem;
}

.contact h1 {
    margin: 0;
    font-size: 34px;
    color: var(--text-contrast-primary-color);
    font-weight: unset;
}

.contact h2 {
    color: var(--text-contrast-primary-color);
    font-size: 24px;
    font-weight: unset;
    margin: 0;
}

.contact ul {
    display: inline-block;
    list-style-type: none;
    margin: 20px 0 0 0;
    padding: 0;
}

.contact ul li {
    display: flex;
    width: 100%;
    align-items: center;
}

.contact ul li:not(:last-child) {
    margin-bottom: 2rem;
}

.contact ul li i {
    font-size: 40px;
    color: var(--text-contrast-primary-color);
    width: 43px;
    text-align: center;
}

.contact ul li .content {
    display: flex;
    align-items: baseline;
}

.contact ul li span {
    display: inline-block;
    color: var(--text-contrast-primary-color);
    margin-left: 1rem;
    font-size: 24px;
}

.contact iframe {
    border: none;
    flex-grow: 1;
    padding: 50px 0;
    margin-left: 4rem;
    min-width: 55%;
}

.news {
    display: flex;
    flex-direction: column;
    background: #F5F5F5;
    box-shadow: 0 2.83px 2.83px 0 #00000040;
    height: 770px;
    border-radius: 29px;
    padding: 2rem;
}

.news > div:first-child {
    padding: 10px;
    text-align: center;
    margin-bottom: 1rem;
}

.news > div > h1 {
    font-size: 96px;
    margin: 0;
}

.news h3 {
    font-size: 24px;
    color: #2D2D2D;
    margin: 0;
    font-weight: normal;
}

.news > div:last-child {
    overflow-y: scroll;

}

.news ul {
    padding: 0 15px 0 15px;
    margin: 0;
}

.news ul li {
    display: inline-block;
    background: #EDEDED;
    margin: 10px 0;
    width: 100%;
    box-shadow: 0 4px 4px 0 #00000040;
    border-radius: 17px;
}

.news ul li:first-child {
    margin-top: 0;
}

.news ul li a {
    display: flex;
    text-decoration: none;
    min-height: 248px;
}

.news ul li .preview {
    width: 285px;
    flex-shrink: 0;
    background-size: cover;
    background-position: center;
    border-radius: 17px;
}

.news ul li .info {
    flex-grow: 1;
    box-sizing: border-box;
    padding: 2rem 4rem 2rem 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.news ul li .info h1 {
    font-weight: normal;
    color: #2D2D2D;
    font-size: 34px;
    margin: 0;
}

.news ul li .info span {
    font-size: 24px;
    color: #717171;
}

.news div::-webkit-scrollbar {
    width: 17px;
    position: absolute;
}

.news div::-webkit-scrollbar-track {
    background: transparent;
}

.news div::-webkit-scrollbar-thumb {
    background-color: #DEDEDE;
    border-radius: 28px;
}

.news div::-webkit-scrollbar-thumb:active {
    background-color: var(--primary-color);
}

footer {
    display: inline-block;
    width: 100%;
    height: 100px;
    vertical-align: top;
    margin-top: 80px;
}

footer .wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer .socials {
    display: inline-block;
}

footer .socials a {
    display: inline-block;
    vertical-align: top;
    color: var(--primary-color);
    text-decoration: none;
    font-size: 40px;
    padding: 0 20px;
    line-height: 23px;
}

footer span {
    font-size: 24px;
}

footer span a {
    color: #2A2A2A;
    text-decoration: none;
}

.hide-mobile {
    display: initial;
}

.hide-desktop, header .menu-title, .divider {
    display: none;
}

@media screen and (max-width: 1600px) {

    header {
        height: 100px;
    }

    header .header-title h1 {
        font-size: 30px;
    }

    header nav ul li a,
    header a.connect {
        font-size: 20px;
    }

    .home {
        gap: 3rem;
        min-height: min(calc(100dvh - 100px), calc(900px - 100px));
    }

    .home .left-home {
        min-width: 52%;
    }

    .home .info {
        min-width: 370px;
    }

    .home .info h1 {
        font-size: 52px;
    }

    .home .info .text {
        font-size: 20px;
        margin: 20px 0;
    }

    .home .info .buttons .button {
        font-size: 26px;
    }

    .about {
        padding: 60px 0;
    }

    .about h1 {
        font-size: 52px;
    }

    .about .text {
        font-size: 20px;
    }

    .services .list ul {
        gap: 30px;
    }

    .services .list ul li {
        width: 360px;
        min-height: 320px;
        border-radius: 32px;
    }

    .services .list ul li div {
        width: 70px;
        height: 70px;
        border-bottom-left-radius: 32px;
        border-top-right-radius: 32px;
    }

    .services .list ul li h3 {
        font-size: 28px;
    }

    .services .list ul li p {
        font-size: 20px;
    }

    .customers h1,
    .extra h1,
    .news > div > h1 {
        font-size: 72px;
    }

    .customers h3,
    .extra h3,
    .news h3 {
        font-size: 20px;
    }

    .customers ul li {
        width: 380px;
    }

    .customers ul li .logo {
        height: 150px;
    }

    .customers ul li h4 {
        font-size: 28px;
    }

    .customers ul li p {
        font-size: 20px;
    }

    .contact > div {
        padding: 2rem;
    }

    .contact h1 {
        font-size: 28px;
    }

    .contact h2,
    .contact ul li span {
        font-size: 20px;
    }

    .contact ul li i {
        font-size: 32px;
    }

    .contact iframe {
        margin-left: 2rem;
    }

    .news {
        height: 650px;
    }

    .news ul li a {
        min-height: 180px;
    }

    .news ul li .preview {
        width: 220px;
    }

    .news ul li .info {
        padding: 1.5rem 2rem 1.5rem 1.5rem;
    }

    .news ul li .info h1 {
        font-size: 28px;
    }

    .news ul li .info span {
        font-size: 20px;
    }

    .news div::-webkit-scrollbar {
        width: 14px;
    }

    footer {
        margin-top: 60px;
    }

    footer span {
        font-size: 20px;
    }

    footer .socials a {
        font-size: 32px;
    }
}

@media screen and (max-width: 1366px) {

    header {
        height: 90px;
    }

    header .header-title h1 {
        font-size: 26px;
    }

    header .header-title .logo img {
        max-width: 45px;
        max-height: 45px;
    }

    header nav ul li a,
    header a.connect {
        font-size: 18px;
        padding: 0 10px;
    }

    .home {
        gap: 2.5rem;
        min-height: min(calc(100dvh - 90px), calc(820px - 90px));
        margin-bottom: 2rem;
    }

    .home .left-home {
        min-width: 50%;
    }

    .home .info {
        min-width: 370px;
    }

    .home .info h1 {
        font-size: 44px;
        line-height: 1.1;
    }

    .home .info .text {
        font-size: 18px;
        margin: 18px 0;
    }

    .home .info .buttons {
        gap: 1rem;
    }

    .home .info .buttons .button {
        font-size: 22px;
        padding: 10px 20px;
    }

    .home .info .buttons .button:first-child {
        padding-top: 16px;
        padding-bottom: 12px;
    }

    .about {
        padding: 50px 0;
        margin-bottom: 4rem;
    }

    .about > div > div:first-child {
        margin-right: 2rem;
    }

    .about h1 {
        font-size: 44px;
    }

    .about img {
        height: 55px;
    }

    .about .text {
        font-size: 18px;
    }

    .services {
        margin-bottom: 4rem;
    }

    .services .list ul {
        gap: 24px;
    }

    .services .list ul li {
        width: 300px;
        min-height: 270px;
        padding: 18px;
        border-radius: 28px;
    }

    .services .list ul li div {
        width: 60px;
        height: 60px;
        border-bottom-left-radius: 28px;
        border-top-right-radius: 28px;
    }

    .services .list ul li i {
        font-size: 28px;
    }

    .services .list ul li h3 {
        font-size: 24px;
    }

    .services .list ul li p {
        font-size: 18px;
    }

    .customers {
        margin-bottom: 4rem;
    }

    .customers h1,
    .extra h1,
    .news > div > h1 {
        font-size: 58px;
    }

    .customers h3,
    .extra h3,
    .news h3 {
        font-size: 18px;
    }

    .customers ul {
        gap: 40px 24px;
    }

    .customers ul li {
        width: 320px;
    }

    .customers ul li .logo {
        height: 120px;
    }

    .customers ul li h4 {
        font-size: 24px;
    }

    .customers ul li p {
        font-size: 18px;
    }

    .extra {
        margin-bottom: 4rem;
    }

    .extra p {
        font-size: 18px;
    }

    .contact {
        margin-bottom: 3rem;
    }

    .contact > div {
        padding: 1.8rem;
        border-radius: 30px;
    }

    .contact h1 {
        font-size: 24px;
    }

    .contact h2,
    .contact ul li span {
        font-size: 18px;
    }

    .contact ul li i {
        font-size: 28px;
        width: 32px;
    }

    .contact iframe {
        margin-left: 1.5rem;
        padding: 20px 0;
    }

    .news {
        height: 560px;
        padding: 1.5rem;
    }

    .news ul li a {
        min-height: 150px;
    }

    .news ul li .preview {
        width: 180px;
    }

    .news ul li .info {
        padding: 1rem 1.5rem 1rem 1rem;
    }

    .news ul li .info h1 {
        font-size: 24px;
    }

    .news ul li .info span {
        font-size: 18px;
    }

    .news div::-webkit-scrollbar {
        width: 12px;
    }

    footer {
        height: 80px;
        margin-top: 40px;
    }

    footer span {
        font-size: 18px;
    }

    footer .socials a {
        font-size: 28px;
        padding: 0 12px;
    }
}

@media screen and (max-width: 1280px) {
    .home {
        min-height: min(calc(100dvh - 90px), calc(720px - 90px));
    }

    .news div::-webkit-scrollbar {
        width: 10px;
    }
}

@media screen and (max-width: 1024px) {
    body > .wrapper,
    footer > .wrapper,
    .about > div {
        width: 90%;
    }
}

@media screen and (max-width: 960px) {
    header {
        height: 80px;
    }

    header .header-title .logo img, header .menu-title .logo img {
        max-width: 30px;
        max-height: 30px;
    }

    .home {
        min-height: min(calc(100dvh - 90px), calc(540px - 80px));
    }
}

@media screen and (max-width: 900px) {
    html {
        scroll-padding-top: 80px;
    }

    .hide-mobile {
        display: none;
    }

    .hide-desktop {
        display: block;
    }

    body {
        padding-top: 115px;
    }

    header {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 1000;
        height: 70px;
        background: #f5f5f5f2;
    }

    header > .buttons {
        display: none;
    }

    header .header-title, header .menu-title {
        display: flex;
        flex-direction: row;
        align-items: center;
        max-width: 60%;
    }

    header .header-title {
        max-width: 100%;
        width: 100%;
        justify-content: right;
        margin-right: 30px;
        margin-left: 85px;
    }

    header .header-title h1 {
        display: unset;
    }

    header .menu-title {
        position: absolute;
        top: 0;
        right: 0;
        padding: 20px;
    }

    header .menu-title h1 {
        color: var(--text-contrast-primary-color);
        margin: 0;
    }

    .menu-button.active + .header-title {
        display: none;
    }

    .header-title h1, .menu-title h1 {
        font-size: 25px;
        margin-right: 3px;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

    .divider {
        width: 80%;
        height: 2px;
        background-color: var(--text-contrast-primary-color);
        margin: 20px 0;
        justify-self: center;
        display: flex;
    }

    header nav {
        position: fixed;
        top: 0;
        left: -280px;
        width: 280px;
        height: 100%;
        background: var(--primary-color);
        border-right: solid 1px #3D3D3D;
        transition: left .3s ease;
        z-index: 999;
        padding-top: 3rem;
        box-sizing: border-box;
    }

    header nav.open {
        left: 0;
    }

    header a.connect {
        width: max-content;
        color: var(--primary-color);
        background: var(--text-contrast-primary-color);
        padding: 5px 15px;
        border-radius: 15px;
    }

    header nav ul {
        display: block;
        max-height: none;
    }

    header nav ul li {
        width: 100%;
        padding: 0 2rem;
    }

    header nav ul li a {
        display: block;
        width: 100%;
        text-align: left;
        padding: 20px 0;
        font-size: 20px;
        box-sizing: border-box;
        color: var(--text-contrast-primary-color);
    }

    .menu-button {
        font-size: 30px;
        background: transparent;
        border: none;
        color: var(--primary-color);
        cursor: pointer;
        z-index: 1000;
        position: absolute;
        left: 30px;
        top: 50%;
        transform: translateY(-50%);
        margin: 0;
        padding: 0;
    }

    .menu-button.active {
        color: var(--text-contrast-primary-color);
    }

    nav .buttons-li {
        display: flex;
    }

    nav .buttons-li a {
        width: auto;
        padding-right: 2rem;
    }
}

@media screen and (max-width: 870px) {
    .home {
        min-height: unset;
        flex-direction: column;
    }

    .left-home {
        width: 100%;
        justify-items: center;
    }

    .home .left-home img {
        width: 60%;
    }

    .home .info {
        min-width: 100%;
    }

    .about > div {
        flex-direction: column;
    }

    .about > div > div:first-child {
        margin: 0;
    }

    .customers {
        padding-top: 0;
    }

    .contact {
        flex-direction: column;
    }

    .contact iframe {
        margin: 0;
        min-height: 300px;
    }
}

@media screen and (max-width: 690px) {
    .home .left-home img {
        min-width: 100%;
    }

    .customers ul {
        gap: 10px 10px;
    }

    .news {
        padding: 1.5rem 0;
    }

    .news ul li a {
        flex-direction: column;
    }

    .news ul li .preview {
        width: 100%;
        height: 180px;
    }

    .news ul li .info {
        min-height: 180px;
    }

    .news div::-webkit-scrollbar {
        display: none;
    }

    footer {
        height: auto;
    }

    footer .wrapper {
        flex-direction: column;
    }

    footer .socials {
        padding: 8px 0;
    }

    footer .socials a {
        padding: 0 10px;
        font-size: 27px;
    }

    footer span {
        text-align: center;
        font-size: 14px;
        width: 100vw;
        height: 40px;
        align-content: center;
        background-color: #F5F5F5;
        color: #2A2A2A;
    }

    footer span a {
        color: #2A2A2A;
    }
}